PIO_READ_SWAP(3)

FUNCTION
pio_read_swap - Read from a channel object and swap bytes.

SYNOPSIS
#include <karma_pio.h>

flag pio_read_swap

(Channel channel, char *data, unsigned int length)

DESCRIPTION
Read from a channel object and swap bytes.

channel
    The channel object.

data
    The data bytes will be written here.

length
    The number of bytes to read and then swap.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/